//============================================================================
// shaders for ut_twbb, a Urban Terror map by codemadeflesh
//============================================================================
//
//============================================================================
// a dark and stormy sky
//============================================================================

textures/twbb/dark_n_stormy
{
	nopicmip
	qer_editorimage textures/twbb/dark_n_stormy.tga
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nodlight
	q3map_lightRGB 0.7 0.8 1
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 200 3
	q3map_backsplash -1 -1
	
	skyparms textures/twbb/backsky 512 -
	{
		map textures/twbb/dark_n_stormy.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 2.5
		tcMod scroll 0.005 0.01
		rgbGen identityLighting
	}
}

//============================================================================
// blue sky fill light - for _skybox lighting
//============================================================================

textures/twbb/fill_sky_high
{
    qer_editorimage textures/twbb/fill_sky.tga
    q3map_surfacelight 1500
    q3map_lightRGB 0.780 0.850 1
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm trans
    skyparms - - -
}

//============================================================================
// grates with see-through parts - soft in distance - no mipmap pixel flicker
//============================================================================

textures/twbb/gunnebo1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/twbb/gunnebo2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
    {
		map textures/twbb/gunnebo1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

//============================================================================
// decal - for use with _decal - overlay blend
//============================================================================

textures/twbb/ec_logo
{
    nopicmip
    qer_editorimage textures/twbb/ec_logo.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/twbb/ec_logo.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}

textures/twbb/codey_tag
{
    nopicmip
    qer_editorimage textures/twbb/codey_tag.tga
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/twbb/codey_tag.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR 
        depthWrite 
        rgbGen identity
	}
}

//============================================================================
// large variation - normal texture + large 'detail' texture - multiply blend
//============================================================================

textures/twbb/konkret_dirt
{
    qer_editorimage textures/twbb/konkret_dirt01.tga
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/twbb/konkret_dirt01.tga
        blendFunc filter
    }
    {
        map textures/twbb/grime.tga
        blendFunc GL_ZERO GL_SRC_COLOR
        detail
        tcMod scale 0.2 0.2
    }
}

//============================================================================
// large variation - normal texture + large 'detail' texture - overlay blend
//============================================================================

textures/twbb/roof_copper01
{
    qer_editorimage textures/twbb/roof_copper01.tga
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/twbb/roof_copper01.tga
        blendFunc filter
    }
    {
        map textures/twbb/grime.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 0.25 0.25
    }
}
